libqxp::QXP4Deobfuscator Class Reference

`#include <QXP4Deobfuscator.h>`

Inheritance diagram for libqxp::QXP4Deobfuscator:

## Public Member Functions
| QXP4Deobfuscator (uint16_t seed, uint16_t increment)
void | next (uint16_t block)
void | nextRev ()
void | nextShift (uint16_t count)
Public Member Functions inherited from libqxp::QXPDeobfuscator
uint16_t | operator() (uint16_t value) const
uint8_t | operator() (uint8_t value) const

## Private Attributes
uint16_t | m_increment

## Additional Inherited Members
Protected Member Functions inherited from libqxp::QXPDeobfuscator
| QXPDeobfuscator (uint16_t seed)
Protected Attributes inherited from libqxp::QXPDeobfuscator
uint16_t | m_seed

## Constructor & Destructor Documentation

## ◆ QXP4Deobfuscator()

libqxp::QXP4Deobfuscator::QXP4Deobfuscator | ( | uint16_t | seed,
|  | uint16_t | increment )

## Member Function Documentation

## ◆ next()

void libqxp::QXP4Deobfuscator::next | ( | uint16_t | block | ) |

Referenced by libqxp::QXP4Parser::parseObject().

## ◆ nextRev()

void libqxp::QXP4Deobfuscator::nextRev | ( |  | ) |

Referenced by libqxp::QXP4Parser::parsePages().

## ◆ nextShift()

void libqxp::QXP4Deobfuscator::nextShift | ( | uint16_t | count | ) |

Referenced by libqxp::QXP4Parser::parseObjectHeader().

## Member Data Documentation

## ◆ m_increment

uint16_t libqxp::QXP4Deobfuscator::m_increment
| private

Referenced by next(), nextRev(), and QXP4Deobfuscator().

The documentation for this class was generated from the following files:

- QXP4Deobfuscator.h
- QXP4Deobfuscator.cpp